#
# spec file for package dhcp (Version 3.0.1rc10)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm

Name:         dhcp
License:      Other License(s), see package
Group:        Productivity/Networking/Boot/Servers
Autoreqprov:  on
Version:      3.0.1rc10
Release:      4
Summary:      ISC DHCP server
URL:          http://www.isc.org/isc/dhcp.html
Source:       dhcp-%{version}.tar.bz2
Source1:      rc.dhcpd
Source2:      rc.dhcrelay
Source11:     sysconfig.dhcpd
Source12:     sysconfig.syslog-dhcpd
Source14:     sysconfig.dhcrelay
Source15:     dhcp.README.SuSE
Source16:     dhcp.LIESMICH.SuSE
Source17:     examples.tar.gz
Source18:     dhcp.README.upgrade
Source19:     dhcpsync
Source20:     dhcpsync.8
Source21:     DDNS-howto.txt
Source22:     genDDNSKey.sh
Source30:     http://www.andrew.cmu.edu/~kevinm/dhcp/leasestate
Source31:     http://www.andrew.cmu.edu/~kevinm/dhcp/listlease
Source32:     http://www.andrew.cmu.edu/~kevinm/dhcp/clearip
Source33:     http://www.andrew.cmu.edu/~kevinm/dhcp/reset-ip
## adjust some paths
Patch:        dhcp-3.0rc10.dif
## chroot patch by Ari Edelkind (see readme)
## and patch supplied by <thomas@suse.de> 
Patch1:       dhcp-3.0b2pl18.paranoia.dif
## add missing include
Patch2:       test.c.dif
## improve resolv.conf handling:
Patch31:      dhcp-3.0b2pl24.resolv.conf.dif
Patch32:      dhclient.c.dif
## duplicate stdin, stdout and stderr for dhclient childs
Patch40:      dhcp-3.0rc10.filedes.dif
Patch41:      makefile.diff
Patch42:      unaligned.patch
Patch43:      dhcp-3.0.1rc10-security.patch
Patch44:      dhcp-3.0.1rc10-dhcrelay-limit-hopcount.dif
Patch63:      dhcp-3.0.1rc12-tmpfile.dif
Patch70:      dhcp-3.0.1rc13-VU317350-ISC.dif
Patch71:      dhcp-3.0.1rc13-have_vsnprintf.dif
Patch72:      dhcp-3.0.1rc13-ddns-restrict-domainname.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package base
Version:      3.0.1rc10
Release:      61
Summary:      ISC DHCP base package
Group:        Productivity/Networking/Boot/Utilities
Requires:     net-tools
Obsoletes:    dhcp
Autoreqprov:  on
%package server
Version:      3.0.1rc10
Release:      63
Summary:      ISC DHCP server
Group:        Productivity/Networking/Boot/Servers
Requires:     net-tools dhcp-base
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp 
%endif
Provides:     dhcp_server dhcp:/usr/sbin/dhcpd dhcp
Obsoletes:    dhcp
Autoreqprov:  on
%package client
Version:      3.0.1rc10
Release:      61
Summary:      ISC DHCP client
Group:        Productivity/Networking/Boot/Clients
Requires:     net-tools dhcp-base /usr/bin/host
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp 
%endif
Provides:     dhcp_client dhclient
Obsoletes:    dhclient
Autoreqprov:  on
%package relay
Version:      3.0.1rc10
Release:      61
Summary:      DHCP relay agent
Group:        Productivity/Networking/Boot/Servers
Requires:     net-tools dhcp-base
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp 
%endif
Provides:     dhcp_relay dhcrelay
Obsoletes:    dhcrelay
Autoreqprov:  on
%package devel
Version:      3.0.1rc10
Release:      61
Summary:      dhcpctl API header files and libraries
Group:        Development/Libraries/C and C++
Requires:     dhcp-base = %{version}

%description
Please read the documentation in /usr/share/doc/packages/dhcp regarding
configuration of the DHCP server.



Authors:
--------
    Ted Lemon <mellon@fugue.com>


%description base
This package contains some files that are used both by the DHCP client
and the DHCP server of the ISC.



Authors:
--------
    Ted Lemon <mellon@fugue.com>


%description server
Please read the documentation in /usr/share/doc/packages/dhcp regarding
configuration of the DHCP server.



Authors:
--------
    Ted Lemon <mellon@fugue.com>
    
    This package also contains scripts by Kevin C. Miller <kevinm@andrew.cmu.edu>


%description client
This is the ISC DHCP client software for Linux. It can be used to
configure the network setup like ip address, hostname, routing,
nameserver, netmask and broadcast dynamically while booting the
machine. It is highly configurable via the configuration file
/etc/dhclient.conf and you can define your own so-called 'hooks' to be
used by the /sbin/dhclient-script (which is called by the daemon).



Authors:
--------
    Ted Lemon <mellon@fugue.com>


%description relay
This is the ISC DHCP relay agent. It can be used as a 'gateway' for
DHCP messages across physical network segments. This is necessary
because requests that are broadcasted wouldn't be routed otherwise.




%description devel
This package contains all of the libraries and headers for developing
with the Internet Software Consortium (ISC) dhcpctl API.



Authors:
--------
    Ted Lemon <mellon@fugue.com>

%prep
%setup -n %{name}-%{version}
%patch -p0
%patch1 -p0
%patch2
%patch31 -p1
%patch32 -p1
%patch40 
%patch41
%patch42
%patch43 -p1
%patch44
%patch63 -p1
%patch70
%patch71 -p1
%patch72 -p1
find . -type f -name \*.cat\* -exec rm -f {} \;
cp -p %{S:1} %{S:2} %{S:11} %{S:12} %{S:14} %{S:32} %{S:33} . 
cp -p $RPM_SOURCE_DIR/dhcp.README.SuSE README.SuSE
cp -p $RPM_SOURCE_DIR/dhcp.README.upgrade README.upgrade
cp -p $RPM_SOURCE_DIR/dhcp.LIESMICH.SuSE LIESMICH.SuSE
cp -p $RPM_SOURCE_DIR/DDNS-howto.txt .
cp -p $RPM_SOURCE_DIR/genDDNSKey.sh .
tar xzf $RPM_SOURCE_DIR/examples.tar.gz

%build
export CFLAGS="$RPM_OPT_FLAGS" 
%ifarch ia64 sparc64 alpha s390x ppc64 x86_64
  export DEBUG_FLAGS="$RPM_OPT_FLAGS -DPARANOIA -DPTRSIZE_64BIT" 
%else
  export DEBUG_FLAGS="$RPM_OPT_FLAGS -DPARANOIA" 
%endif
./configure 
make DEBUG="$DEBUG_FLAGS -W" all 
echo "ddns-update-style interim;" > testconf
work.linux-2.2/server/dhcpd -t -cf testconf || exit 1

%install
export RPM_BUILD_ROOT
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 744 work.linux-2.2/omapip/svtest $RPM_BUILD_ROOT/usr/sbin/svtest
MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} make install
strip $RPM_BUILD_ROOT/sbin/dhclient
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/var/run
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/etc
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/dev
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/%_lib
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/var/run
install -m 744 rc.dhcpd    $RPM_BUILD_ROOT/etc/init.d/dhcpd
install -m 744 rc.dhcrelay $RPM_BUILD_ROOT/etc/init.d/dhcrelay
ln -sf ../../etc/init.d/dhcpd    $RPM_BUILD_ROOT/usr/sbin/rcdhcpd
ln -sf ../../etc/init.d/dhcrelay $RPM_BUILD_ROOT/usr/sbin/rcdhcrelay
install -m 755 $RPM_SOURCE_DIR/dhcpsync   $RPM_BUILD_ROOT/usr/sbin/
install -m 644 $RPM_SOURCE_DIR/dhcpsync.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 755 $RPM_SOURCE_DIR/leasestate $RPM_BUILD_ROOT/usr/sbin/
install -m 755 $RPM_SOURCE_DIR/listlease  $RPM_BUILD_ROOT/usr/sbin/
install -m 644 sysconfig.dhcpd		$RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 sysconfig.syslog-dhcpd	$RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 sysconfig.dhcrelay	$RPM_BUILD_ROOT/var/adm/fillup-templates/
touch $RPM_BUILD_ROOT/var/lib/dhcp/dhcpd.leases
touch $RPM_BUILD_ROOT/var/lib/dhcp/dhclient.leases
install -m 644 client/dhclient.conf $RPM_BUILD_ROOT/etc/dhclient.conf
sed '/^max-lease-time/ a \
\
# if you do not use dynamical DNS updates:\
#\
# this statement is needed by dhcpd-3 needs at least this statement.\
# you have to delete it for dhcpd-2, because it does not know it.\
#\
# if you want to use dynamical DNS updates, you should first read\
# read /usr/share/doc/packages/dhcp-server/DDNS-howto.txt\
ddns-update-style none; ddns-updates off;\
' server/dhcpd.conf > dhcpd.conf 
mv contrib/3.0b1-lease-convert .
find $RPM_BUILD_ROOT/%{_mandir} -type f | xargs chmod 644 

%post server
%if %suse_version < 800
	echo "Updating /etc/rc.config and etc/rc.config.d/dhcpd.rc.config..."
	bin/cat > var/adm/fillup-templates/rc.config.dhcpd <<-EOF 
		START_DHCPD="yes"
	EOF
	bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.dhcpd
	bin/rm var/adm/fillup-templates/rc.config.dhcpd
	bin/cat > var/adm/fillup-templates/rc.config.d.dhcpd <<-EOF 
		DHCPD_INTERFACE=""
		DHCPD_RUN_CHROOTED="yes"
		DHCPD_CONF_INCLUDE_FILES=""
		DHCPD_RUN_AS="nobody"
		DHCPD_OTHER_ARGS=""
	EOF
	bin/fillup -q etc/rc.config.d/dhcpd.rc.config var/adm/fillup-templates/rc.config.d.dhcpd
	bin/fillup -q etc/rc.config.d/dhcpd.rc.config var/adm/fillup-templates/sysconfig.dhcpd
	bin/rm var/adm/fillup-templates/rc.config.d.dhcpd
	#
	sbin/insserv etc/init.d/dhcpd
%else
	%{fillup_and_insserv -n dhcpd dhcpd}
	%{fillup_only -ans syslog dhcpd}
%endif
echo "Please read the docs about the new dhcpd options in"
echo "/etc/sysconfig/dhcpd."
echo "See %{_docdir}/dhcp-server/README.SuSE and README.upgrade."
mkdir -p var/adm/notify/messages
cat >var/adm/notify/messages/dhcp-notify << _END_
 
Hallo,  (english text below)
-----------------
Der ISC DHCP Daemon Version %{version} ersetzt Version 2.0pl5, die nicht mehr
weiterentwickelt wird.
 
Unser Paket enthaelt Patches, die es ermoeglichen, dass der dhcpd optional
in einer chroot-Umgebung laeuft. Damit dies funktioniert, werden durch das
Init-Skript beim Start die Konfigurationsdatei /etc/dhcpd.conf und einige
Libraries (ca. 100kB) nach /var/lib/dhcp/ kopiert.  
Weitere Konfigurationsdateien koennen kopiert werden, wenn sie in
/etc/sysconfig/dhcpd eingetragen sind. 
 
Achtung: 
Alle zugehoerigen Variablen sind jetzt in /etc/sysconfig/dhcpd zu finden.  
 
Bitte beachten Sie /usr/share/doc/packages/dhcp-server/LIESMICH.SuSE und 
/usr/share/doc/packages/dhcp-server/README.upgrade fuer Hinweise zur Migration von 
Version 2 zu Version 3. 
 
*****************************************************************************
 
Hi,
-----------------
The ISC DHCP daemon version %{version} replaces version 2.0pl5 which is no
longer actively maintaines. 
 
Our package contains patches that allow the server to run in a chroot
environment (if wanted).  To make that work, the configuration file and about
100kB of libraries will be copied by the init script to /var/lib/dhcp/ each
time you start it.  
Additional configuration files can be copied as well if they are listed in 
/etc/sysconfig/dhcpd. 
 
Also, please note:
All variables from /etc/rc.config have been moved to /etc/sysconfig/dhcpd.  
 
Please confer to /usr/share/doc/packages/dhcp-server/README.SuSE and README.upgrade 
for hints on the migration from version 2 to version 3. 
 
-----------------
                          Your SuSE Team
 
_END_
test -s etc/dhcpd.conf || { cp -p usr/share/doc/packages/dhcp-server/dhcpd.conf etc/; }
exit 0

%postun server
%{insserv_cleanup}

%post client
mkdir -p var/adm/notify/messages
cat >var/adm/notify/messages/dhclient-notify << _END_
 
Hallo,  (english text below)
-----------------
beachten Sie bitte, dass alle rc.config-Variablen des dhclient sich seit 8.0 in
/etc/sysconfig/network/dhcp befinden. 
*****************************************************************************
Hi,
-----------------
please note that with 8.0 all rc.config variables of dhclient have been moved
to /etc/sysconfig/network/dhcp.  
-----------------
                          Your SuSE Team
 
_END_
exit 0

%post relay
%{fillup_and_insserv -n dhcrelay dhcrelay}

%postun relay
%{insserv_cleanup}

%clean
#rm -rf $RPM_BUILD_ROOT

%files base
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README RELNOTES doc 
/usr/bin/omshell
%attr(755,nobody,nogroup) %dir /var/lib/dhcp
%doc %{_mandir}/man1/omshell.1.gz
%doc %{_mandir}/man5/dhcp-eval.5.gz

%files server
%defattr(-,root,root)
%doc clearip reset-ip
/usr/sbin/dhcpd
/usr/sbin/rcdhcpd
/usr/sbin/svtest
%config /usr/sbin/dhcpsync
%config /usr/sbin/leasestate
%config /usr/sbin/listlease
%config /etc/init.d/dhcpd
%attr(755,nobody,nogroup) %dir /var/lib/dhcp/var
%attr(755,nobody,nogroup) %dir /var/lib/dhcp/var/run
%dir /var/lib/dhcp/etc
%dir /var/lib/dhcp/dev
%config(noreplace) %attr(644,nobody,nogroup) /var/lib/dhcp/dhcpd.leases
%doc %{_mandir}/man5/dhcpd.conf.5.gz
%doc %{_mandir}/man5/dhcp-options.5.gz
%doc %{_mandir}/man5/dhcpd.leases.5.gz
%doc %{_mandir}/man8/dhcpd.8.gz
%doc %{_mandir}/man8/dhcpsync.8.gz
%doc dhcpd.conf LIESMICH.SuSE README.SuSE README.upgrade 3.0b1-lease-convert DDNS-howto.txt genDDNSKey.sh
%doc examples
/var/adm/fillup-templates/sysconfig.dhcpd
/var/adm/fillup-templates/sysconfig.syslog-dhcpd
%attr(755,root,root) %dir /var/lib/dhcp/%_lib

%files client 
%defattr(-,root,root)
/sbin/dhclient
/sbin/dhclient-script
%config(noreplace) /etc/dhclient.conf
%config /var/lib/dhcp/dhclient.leases
%doc %{_mandir}/man5/dhclient.conf.5.gz
%doc %{_mandir}/man5/dhclient.leases.5.gz
%doc %{_mandir}/man8/dhclient.8.gz
%doc %{_mandir}/man8/dhclient-script.8.gz

%files relay 
%defattr(-,root,root)
/usr/sbin/dhcrelay
/usr/sbin/rcdhcrelay
%config /etc/init.d/dhcrelay
%doc %{_mandir}/man8/dhcrelay.8.gz
/var/adm/fillup-templates/sysconfig.dhcrelay

%files devel
%defattr(-,root,root)
%_libdir/*
%{_prefix}/include/*
%doc %{_mandir}/man3/omshell.3.gz
%doc %{_mandir}/man3/omapi.3.gz
%doc %{_mandir}/man3/dhcpctl.3.gz

%changelog -n dhcp
* Wed Jun 23 2004 - poeml@suse.de
- add another patch related to the VU#317350 fix, restricting the
  length of client provided fqdn (for use as DDNS domain name) to
  255 characters, as found in the dhcp-3.0.1rc14 tarball, and as
  recommended by ISC. [#41975]
* Tue Jun 15 2004 - poeml@suse.de
- security fixes [#41975]:
- fix buffer overflow in the DHCP server that can be exploited by
  the client by specifying multiple 'hostnames' to execute
  arbitrary code or at least crash the server. VU#317350
- add patch to use vsnprintf() instead of vsprintf() calls.
  VU#654390
* Wed May 12 2004 - poeml@suse.de
- use mkstemp() to create temp files [#40267]
* Thu Mar 13 2003 - poeml@suse.de
- rcdhcpd, rcdcrelay: do not write the startup log to a world
  writable directory [#25241]
* Mon Mar 03 2003 - poeml@suse.de
- don't try to copy libraries into the chroot jail that do not
  exist (any longer) [#24533]
- remove the %%ghost filelist entries for pid files and chroot jail
  contents [#20030]. Clean up the libraries from the jail when the
  server is stopped.
- dhcrelay: add patch from Florian Lohoff (slightly modified),
  that makes the maximal hop count of forwarded packages
  configurable (-c maxcount), sets the default to 4, and rejects
  packages with a hop count higher than maxcount (CAN-2003-0039,
  http://www.kb.cert.org/vuls/id/149953). Add a variable to
  /etc/sysconfig/dhcrelay to pass such additional options.
* Wed Feb 12 2003 - mmj@suse.de
- Added sysconfig metadata [#22631] [#22632] [#22696]
* Tue Dec 10 2002 - okir@suse.de
- Added security patch from ISC
* Thu Dec 05 2002 - poeml@suse.de
- update to 3.0.1rc10. relevant fixes:
- A Linux-specific Token Ring detection problem was fixed.
- Hashes removed from as-yet-unknown agent options, having those
  options appear in reality before we know about them will no
  longer produce self-corrupting lease databases.
- dhclient will use the proper port numbers now when using the -g
  option.
- A order-of-operations bug with 2 match clauses in 1 class
  statement is fixed thanks to a patch from Andrew Matheson.
- A fix to the dhcp ack process which makes certain group options
  will be included in the first DHCPOFFER message was made thanks
  to a patch from Ling Gou.
- A few memory leaks were repaired thanks to patches from Bill
  Squier at ReefEdge, Inc.  (groo@reefedge.com).
- A fix for shared-networks that sometimes give clients options
  for the wrong subnets (in particular, 'option routers') was
  applied, thanks to Ted Lemon for the patch.
- Omshell's handling of dotted octets as values was changed such
  that dots one after the other produce zero values in the
  integer string.
- due to the upstream fixes: drop the reactivate-tr-support.dif and
  format.dif
- retrofitted the (server) package to work for old distributions
  down to 7.2
* Fri Nov 29 2002 - schwab@suse.de
- Fix unaligned access.
* Mon Nov 04 2002 - poeml@suse.de
- update DDNS-howto.txt for BIND9
- add genDDNSKey.sh to create a key for BIND8/9
- add comments about DDNS to the dhcpd.conf [#18419], and
  directives to disable DDNS by default
- change defaults in the sample configuration
* Thu Aug 29 2002 - poeml@suse.de
- fix permissions of man pages
* Sun Aug 18 2002 - poeml@suse.de
- re-add token ring support that got lost ("tr0:unknown hardware
  address type 800"). With 2.4 kernel, ARPHRD_IEEE802 (6) has been
  renamed to ARPHRD_IEEE802_TR (800). Known bug in 3.0.1rc9.
- move PreReq tag to the subpackages, where it is actually needed
  [#17822, #17821]
* Mon Aug 12 2002 - poeml@suse.de
- dhcp-client: add missing Requires on /usr/bin/host
* Mon Aug 12 2002 - poeml@suse.de
- Fix requires of dhcp-devel subpackage
- add some helpful scripts, courtesy of Kevin C. Miller
* Thu Aug 01 2002 - poeml@suse.de
- use PreReq
* Wed Jul 17 2002 - poeml@suse.de
- add a sysconfig.syslog-dhcpd template to make syslogd open an
  additional socket (inside the chroot dir of dhcpd)
* Thu Jul 11 2002 - poeml@suse.de
- fix typo in %%post, introduced with last change
* Thu Jul 11 2002 - poeml@suse.de
- add Version: tags to the subpackages to satisfy the build system,
  because dhcp has no main package [#16318]
- run in chroot and as user nobody per default
- fix wrong pathnames in mail to root [#15601]
- install example dhcpd.conf [#9122]
- improve example configuration files [#12563]
- init scripts: update INIT INFO, using the new tags from
  /etc/init.d/skeleton
* Tue May 21 2002 - poeml@suse.de
- dhclient-script:
- source the right sysconfig files (/etc/sysconfig/network/)
  [#15871]
- use KEEP_SEARCHLIST option (thanks Sumit Bose)
- improve the indentation
* Thu May 16 2002 - poeml@suse.de
- add documentation about configuration for dynamical DNS updates
* Mon May 13 2002 - poeml@suse.de
- fix last change (rediff dhcp-3.0.1rc9.format.dif)
* Mon May 13 2002 - poeml@suse.de
- update to 3.0.1rc9
- fixes a format string vulnerability in the server that could
  lead to a remote root compromise
  (see http://www.cert.org/advisories/CA-2002-12.html)
- fixes a memory leak in the client and some other minor bugs
- fix some printf arguments in server/omapi.c
- fix small typo (x390x -> s390x)
* Mon Apr 29 2002 - sf@suse.de
- changed Makefile.conf to be able to add LIBDIR
- added LIBDIR to make install to put libs into the correct path
- use -DPTRSIZE_64BIT on x86_64
* Mon Apr 22 2002 - poeml@suse.de
- update to 3.0.1rc8. Most significant changes are (see RELNOTES):
- Don't allow a lease that's in the EXPIRED, RELEASED or RESET
  state to be renewed.
- Implement lease stealing for cases where the primary has fewer
  leases than the secondary, as called for by the standard.
- Fix a bug where if an option universe contained no options, the
  DHCP server could dump core (Walter Steiner).
- Fix a bug in the handling of encapsulated options.
- Fix an uninitialized memory bug in the DHCP client.
- use -DPTRSIZE_64BIT on x390x and ppc64, too
- create /etc/resolv.conf with a file mask of 644, regardless of
  the umask [Bug #15915]. Patch by Joerg Mayer.
- the scripts dir is now called CLIENTBINDIR in the Makefiles, and
  correctly set to /sbin --> drop 2 hunks from dhcp-3.0rc10.dif
* Tue Mar 26 2002 - ro@suse.de
- Fix handling of initscript links and START_* variable [Bug #13755]
* Sun Feb 10 2002 - poeml@suse.de
- drop the sysconfig/network/dhcp template. It's in the syconfig
  package now.
- strip /sbin/dhclient
* Mon Feb 04 2002 - poeml@suse.de
- rename dhcp subpackage to dhcp-base, add dhcp-server subpackage
- rename dhclient to dhcp-client and dhcrelay to dhcp-relay
- remove Conflicts tag dhclient <-> dhcpcd
- use %%defattr(-, root, root) for all subpackages
- update copyright info (GmbH --> AG)
- update sysconfig.dhclient (.dhcp-dhclient now), and let it be
  filled up into /etc/sysconfig/network/config
* Wed Jan 30 2002 - poeml@suse.de
- add /sbin/dhclient, accidentally deleted from filelist lately
* Sun Jan 27 2002 - ro@suse.de
- remove START_DHCPD on update
- use fillup_only where no initscript is handled
* Sun Jan 27 2002 - poeml@suse.de
- use %%_lib and %%_libdir
- update rc.dhcpd to use %%_libdir when setting up chroot dir
- dhcpsync: name of slave can be given as argument; update man page
- rc.dhcpd: no longer source rc.config
- don't try insserv on dhclient init script -- it's dropped
- tell fillup to use "dhcpd" instead of the package name (dhcp)
* Fri Jan 25 2002 - poeml@suse.de
- update to 3.0.1rc6
- Fix the off-by-one error in the MAC-address checking code for
  DHCPRELEASE that was added in 3.0.1rc5.
- Fix a bug where client-specific information was not being
  discarded from the lease when it expired or was released,
  resulting in problems if the lease was reallocated to a
  different client.
- merge pools if possible
- workaround for some Lexmark printers that send a double-NUL-
  terminated host-name option, which would break DNS updates.
- no longer log fallback_discard messages
- dhcp-3.0.1rc5-release.dif obsolete hereby
- drop dhclient init script (obsoleted by /sbin/if*-dhcp)
* Tue Jan 15 2002 - poeml@suse.de
- update to 3.0.1rc5
- Fix a bug that would cause the DHCP server to spin if asked to
  parse a certain kind of incorrect statement.
- Fix a related bug that would prevent an error from being
  reported in the same case.
- Additional documentation.
- Make sure that the hardware address matches the lease when
  processing a DHCPRELEASE message.
- add dhcp-3.0.1rc5-release.dif that corrects an error by one in
  the code that finds a lease that is being RELEASEd
- use ddns-update-style interim instead of ad-hoc when testing
- make sure that dhcpd is started after xntpd (failover needs
  correct system time)
- drop version 2 of dhcpd and dhcrelay
* Thu Dec 13 2001 - ro@suse.de
- removed START_ variables, moved rc.config.d -> sysconfig
* Tue Nov 06 2001 - poeml@suse.de
- update to 3.0.1rc4
- add dhcpsync and dhcpync.8 (script to sync DHCP failover config.)
- update rc.dhclient script from the one used in the dhcpcd package
- client: don't check if a device is there; terminate anyway
- small addition to the examples; update README.upgrade
* Wed Oct 31 2001 - poeml@suse.de
- update to 3.0.1rc2
- add a README.upgrade
* Thu Oct 25 2001 - poeml@suse.de
- update to 3.0.1rc1
- remove our #undef use_LPF patch for 2.0pl5; it seems to cause
  problems (stopping responding) with more than one network card
- mark /etc/dhclient.conf with noreplace tag
* Sun Sep 16 2001 - poeml@suse.de
- fix stupid bug in rc.dhcpd where rc.config is sourced too late
* Fri Sep 14 2001 - poeml@suse.de
- fix #9962 where "exit 1" instead of "return" in dhclient-script
  would confuse dhclient (which then DECLINEd the lease)
* Tue Aug 28 2001 - poeml@suse.de
- make sure that files are really copied to the chroot dir
* Mon Aug 27 2001 - poeml@suse.de
- add libnss_dns6.so.2 as ghost to the file list to remove it
  from the chroot dir when uninstalling the package
- rc.dhcpd: remove empty pid files to avoid warnings by
  checkproc/killproc (dhcpd sometimes leaves them if it does not
  want to start due to wrong syntax)
- rc.dhcpd: to save time, source rc.config only when necessary
- add dhcpd.conf examples
* Fri Aug 24 2001 - poeml@suse.de
- update to 3.0rc12 (fixes some failover state transitions; other
  failover fixes; always returns a subnet selection option if one
  is sent)
- change dhclient-script to ignore lines that are commented out
  when grepping for variables and eval-ing them
* Mon Jul 16 2001 - poeml@suse.de
- add filedes.dif that gives scripts executed from dhclient-script
  their own filedescriptors (patch by Brian Somers
  <brian@Awfulhak.org>)
- correct typo in rc.dhcpd
* Mon Jul 02 2001 - poeml@suse.de
- update to 3.0rc10
- change default in rc.config.d.dhcrelay
- add /usr/sbin/svtest, /usr/bin/omshell, and omshell man pages
- new variable in rc.dhcpd.config: $DHCPD_CONF_INCLUDE_FILES, for
  dhcpd.conf include files to be copied to $chroot/etc/
* Tue May 22 2001 - poeml@suse.de
- update to 3.0rc7 (failover and OMAPI fixes, see RELNOTES)
* Wed May 16 2001 - poeml@suse.de
- on 64 bit archs, define -DPTRSIZE_64BIT
- fix missing include
* Fri May 11 2001 - poeml@suse.de
- if resolv.conf does not exist, touch it; so that there is a file
  to back up and restore later and the temporary resolv.conf would
  not persist after stopping the client [#8078]
- use the modify_resolvconf tool to cleanup old backup files before
  starting the daemon, because it does it intelligently [#8077]
* Tue May 08 2001 - poeml@suse.de
- don't provide empty /etc/rc.config.d/dhcpd.rc.config because that
  inhibits the correct removal of variables from rc.config
- mention correct version numbers in mail to root (now using
  version macro)
- fix a typo and a nonsense comment in rc.config.d.dhcpd
* Mon May 07 2001 - poeml@suse.de
- update to 3.0rc4 (bugfixes)
- add empty dir /var/lib/dhcp/dev and documentation about how to
  ensure that logging from the chroot jail works [#6906]
* Tue Apr 24 2001 - poeml@suse.de
- update to 3.0rc2pl1: fixes bugs in the failover implementation
  and a memory smash that happens when fixed-address leases are
  used
- Read dhcp client script hooks if they exist, rather than only if
  they're executable.
- new file: 3.0b1 lease conversion script
* Sun Apr 15 2001 - poeml@suse.de
- Init scripts: get try-restart ("restart when running") right
- client:
- dhclient-script is now correctly installed to /sbin (thus,
  don't mv dhclient-script from /etc/ to /sbin/, thereby
  overwriting it with the one from v2)
- move rcdhclient conveniency link to /sbin/ (same as in dhcpcd)
- update info header for resolv.conf acc. to guidelines
- server:
- don't run in chroot environment and as nobody by default
- add missing %%postun for subpackages to rearrange runlevel
  links after deinstalling
* Mon Apr 09 2001 - poeml@suse.de
- update to 3.0b2pl24
- don't use rc_status -u in init scripts (option was dropped)
- always run test of dhcpd
* Wed Mar 28 2001 - poeml@suse.de
- update to 3.0b2pl18
  * trim chroot/non-root patch and the other security patches into
  dhcp-3.0b2pl18.paranoia.dif
  * build stable version of server (2.0pl5) and include the binary
  as well as the man pages with '-2' suffix (same for dhcrelay)
- split off subpackages: dhcrelay, dhcp-devel
- reworked all init scripts
  * adhere to LSB and use new rc.status functions
  * rc.dhcpd: at start, copy conf file and libs to chroot dir
  * rc.dhcpd: add syntax check
  * rc.dhcrelay: make interface configurable
  * rc.dhclient: improve resolv.conf handling
- dhclient: catch TERM to restore resolv.conf before quitting
- create /etc/rc.config.d/dhcrelay.rc.config
- create /etc/rc.config.d/dhclient.rc.config
- clean up Provides/Conflicts
- rework SuSE-fillup templates (and rename them)
- mark libraries for chroot dir as %%ghost
- when ABUILD_RUN_TEST_SUITES is true, start dhcpd for a simple
  test
* Fri Mar 16 2001 - poeml@suse.de
- add dhcpd-thomas.diff from <thomas@suse.de>
  * query for the real UID and not for the effective UID
  * drop supplementary GID's
  * avoid potential buffer overflow
- copy dhcpd.conf instead of moving it
- add $syslog to Required-Start in server init script
- fix Required-Start in client init script
- bzipped sources
* Wed Jan 31 2001 - poeml@suse.de
- dhcpd.conf will no longer be installed in /etc/ but placed in the
  docdir, since it is a nonfunctional example file
- test for etc/SuSE-release in %%post
- fix removal of variables from rc.config which failed sometimes
- update {README,LIESMICH}.SuSE
* Mon Jan 29 2001 - poeml@suse.de
- added paranoia patch by Ari Edelkind to allow dhcpd run chrooted
  in /var/lib/dhcp and as nobody/nogroup. Both is optional.
- moved dhcpd.conf to /var/lib/dhcp/etc/. The file will also be
  moved by %%post
- moved rc.config options to rc.config.d/dhcpd.rc.config
  (existing variables are moved there by %%post)
- added some syntax checking via undocumented -t switch, and write
  log file during startup
- renamed start script from dhcp to dhcpd
- removed /var/run/dhcpd.pid from the package
- tag some %%configs with (noreplace)
- use BuildRoot
- added "Provides: dhcp2"+"Conflicts: dhcp3" in anticipation of v3
- added {README,LIESMICH}.SuSE and the paranoia patch to the docs
* Tue Jan 16 2001 - draht@suse.de
- format string security bugs in syslog(3) calls fixed.
* Thu Jan 11 2001 - poeml@suse.de
- in runlevel 2, start only the client, not the server/relay
- tell insserv to start after $named
- improved comments
* Thu Jan 04 2001 - fober@suse.de
- package dhclient requires net-tools, not net_tool
- removed superfluous Provides dhclient in package dhclient
* Wed Nov 29 2000 - poeml@suse.de
- Update to dhcp-2.0pl5.tar.gz
- This includes a security fix that applies to the DHCP client *only*
* Tue Nov 28 2000 - poeml@suse.de
- adapted spec file to use /etc/init.d for the scripts instead of
  /sbin/init.d and let insserv create the links
- extracted source files from diff and placed them separately
- included paranoia (non-root/chroot) patch by ari edelkind. This
  needs testing, and possibly an adapted start script
* Mon Jul 24 2000 - schwab@suse.de
- Fix argument type of dhcp_option_ev_name.
* Mon Jul 24 2000 - schwab@suse.de
- Set DEBUG, not COPTS.
* Thu Jul 20 2000 - zoz@suse.de
- updated to dhcp-2.0pl3
* Wed Jul 19 2000 - schwab@suse.de
- Fix handling of abandoned leases with BOOTP.
- Properly handle default lease timeout.
* Fri Jul 14 2000 - werner@suse.de
- make dchpd quiet
* Thu Jul 13 2000 - zoz@suse.de
- changed test for availability of device in rcdhlient:
  now using ifconfig, so automatically loading of modules
  will be triggered (Bug 3415)
- patched dhclient.c do to a possible root exploit bug
  (patch from Pavel Kankovsky <peak@argo.troja.mff.cuni.cz>)
  Still to be improved, waiting for Ted Lemon to rework it.
* Tue Jul 11 2000 - zoz@suse.de
- reworked rcdhclient once again.
* Tue Jul 04 2000 - zoz@suse.de
- update to dhcp-2.0.pl2
- dhclient: hostname will only be set, if there is a
  DHCLIENT_SET_HOSTNAME=yes (default =no)
  in /etc/rc.config. (fixes bug 2807 and 3146)
* Tue Jun 27 2000 - zoz@suse.de
- update to dhcp-2.0.pl1
- moved /var/state/dhcp to /var/lib/dhcp
- moved manpages to %%{_mandir}
- changed rcdhclient: DHCLIENT is obsolete now. It will be started
  if it finds any IFCONFIG_x=dhcpclient
* Mon Apr 10 2000 - schwab@suse.de
- Treat Linux 2.3 as linux-2.2 configuration.
* Thu Jan 27 2000 - grimmer@suse.de
- added "Provides: dhcp_client" and "Conflicts: dhcpcd" to
  dhclient section in spec file
- added "Provides: dhcp_server" to dhcp section
- corrected typo in rc.config variables
- added Group Tag and version macro to spec file
- changed Summary: to "ISC DHCP client"
- moved man pages to /usr/share/man
* Wed Nov 17 1999 - rolf@suse.de
- now set hostname in dhclient-script [BUG#1262]
* Fri Nov 05 1999 - rolf@suse.de
- reduced waiting time to 1 second
- wait 5 seconds after dhclient start to acquire an IP adress so the
  following scripts have a working network setup
* Thu Nov 04 1999 - rolf@suse.de
- changes from Josh for @home cablenet
* Thu Oct 28 1999 - rolf@suse.de
- added changes by Lenz Grimmer to use
  ifconfig $NETDEV 0.0.0.0 up
  for device setup
* Mon Oct 25 1999 - rolf@suse.de
- applied patch of Bernhard Bender <Bernhard.Bender@elsa.de>
  to use the correct interface.
- added client latency time and rc.config entry
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - bs@suse.de
- changed comment for rc.config
* Mon Jul 19 1999 - bs@suse.de
- fix from werner@suse.de for /sbin/init.d/dhclient
* Fri Jul 16 1999 - ro@suse.de
- added new dhclient-script from werner
* Wed Jun 23 1999 - rolf@suse.de
- new version 2.0
- apply fix from Michael Hasenstein
* Mon Mar 08 1999 - ro@suse.de
- fixed man5-path
* Fri Feb 26 1999 - rolf@suse.de
- new version 2.0b1pl16 (stable beta)
- leases are now stored in /var/state/dhcp/ (thanks to Ted Lemmon)
- correct paths in manpages
- PID files as %%ghost in filelist
* Wed Feb 17 1999 - rolf@suse.de
- new version 2.0b1pl13
* Wed Dec 09 1998 - rolf@suse.de
- added 	/usr/sbin/rcdhcp
  /usr/sbin/rcdhcrelay
  /usr/sbin/rcdhclient
* Tue Nov 24 1998 - rolf@suse.de
- new init scripts for SuSE Linux 6.0
* Thu Nov 12 1998 - bs@suse.de
- minor changes for new rpm
* Thu Sep 24 1998 - rolf@suse.de
- new version 2.0b1pl6 (stable beta)
- now with dhcp client and dhcp relay agent
- added init scripts for relay agent and client
- changed from $NETDEV_0 to $DHCPD_INTERFACE
* Fri Jun 26 1998 - rolf@suse.de
- new version 1.0pl2 fixes two potential input buffer overrun problems
  that were missed in Patchlevel 1
* Mon May 18 1998 - rolf@suse.de
- new security patch 1.0pl1 included
  changed /sbin/init.d/dhcp to run on $NETDEV_0
* Wed Dec 10 1997 - rolf@suse.de
- new version 1.0.0  this is not beta any more!
* Thu Oct 16 1997 - rolf@suse.de
- switched to dhcp.spec instead of Makefile.Linux
* Thu Sep 11 1997 - rolf@suse.de
- Upddate to Version 5 beta 16 and made entry for rc.config and
  /sbin/init.d for startup/shutdown
  There is no dhcp client in this package anymore.
* Thu Jun 12 1997 - rolf@suse.de
- build the package for the first time
